[Rd] Meta information in packages in pre-2.0.0

From: Prof Brian Ripley <ripley_at_stats.ox.ac.uk>
Date: Tue 17 Aug 2004 - 16:56:26 EST


We are intending to include a lot more pre-computed information with an installed package in 2.0.0, and to force all packages to be reinstalled under 2.0.0.

This causes a problem with R-devel pre-2.0.0, which stamps packages as having been installed under the future 2.0.0. As of today we have changed the format of the meta-information file 'Meta/package.rds', and you should either reinstall packages under R-devel (a good idea if they were not installed in August) or run

tools:::.update_package_rds()

(it has a lib.loc argument, so can be run a library at a time). Even the standard and recommended packages need to be updated unless you are building from scratch.

-- 
Brian D. Ripley,                  ripley@stats.ox.ac.uk
Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
University of Oxford,             Tel:  +44 1865 272861 (self)
1 South Parks Road,                     +44 1865 272866 (PA)
Oxford OX1 3TG, UK                Fax:  +44 1865 272595

______________________________________________
R-devel@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel
Received on Tue Aug 17 17:00:22 2004

This archive was generated by hypermail 2.1.8 : Wed 03 Nov 2004 - 22:45:07 EST